summaryrefslogtreecommitdiffstats
path: root/bin/newer
diff options
context:
space:
mode:
Diffstat (limited to 'bin/newer')
-rwxr-xr-xbin/newer27
1 files changed, 27 insertions, 0 deletions
diff --git a/bin/newer b/bin/newer
new file mode 100755
index 0000000..6fd86aa
--- /dev/null
+++ b/bin/newer
@@ -0,0 +1,27 @@
+#!/bin/sh
+##
+## Copyright by the Board of Trustees of the University of Illinois.
+## All rights reserved.
+##
+## This file is part of HDF5. The full HDF5 copyright notice, including
+## terms governing use, modification, and redistribution, is contained in
+## the files COPYING and Copyright.html. COPYING can be found at the root
+## of the source code distribution tree; Copyright.html can be found at the
+## root level of an installed copy of the electronic HDF5 document set and
+## is linked from the top-level documents page. It can also be found at
+## http://hdf.ncsa.uiuc.edu/HDF5/doc/Copyright.html. If you do not have
+## access to either file, you may request a copy from hdfhelp@ncsa.uiuc.edu.
+##
+# Compare the modification of two files. If file1 is newer than file2,
+# return true (0). Otherwise return false (1). If file1 or file2 does
+# not exist or is not a file, return false (1).
+#
+# Programmer: Albert Cheng
+# Created Date: 2005/07/06
+
+if test -f $1 -a -f $2; then
+ if test X != X`find $1 -newer $2 -print`; then
+ exit 0
+ fi
+fi
+exit 1